## org.apache.cassandra.auth
Class AuthenticatedUser

    java.lang.Object
      org.apache.cassandra.auth.AuthenticatedUser

    public class AuthenticatedUser

extends java.lang.Object

An authenticated user and her groups.

Field Summary
`java.util.Set<java.lang.String>` `groups`
`java.lang.String` `username`

Constructor Summary
`AuthenticatedUser(java.lang.String username)`
`AuthenticatedUser(java.lang.String username, java.util.Set<java.lang.String> groups)`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### username

    public final java.lang.String username

### groups

    public final java.util.Set<java.lang.String> groups

Constructor Detail

### AuthenticatedUser

    public AuthenticatedUser(java.lang.String username)

### AuthenticatedUser

    public AuthenticatedUser(java.lang.String username,
                             java.util.Set<java.lang.String> groups)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2012 The Apache Software Foundation